Ubuntu

mount points preparation locked - "No root file system"

Reported by MoMaT on 2006-10-20
266
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
Critical
Colin Watson
Edgy
Critical
Colin Watson

Bug Description

Ubiquity's advanced partitioner in Edgy cannot reuse an existing partition as the root file system, and will incorrectly claim "No root file system". Deleting and re-creating the partition in question in the advanced partitioner is a workaround (since you must reformat the partition anyway), but this is very confusing and causes many failed installations.

This bug was introduced due to an attempt to fix handling of HFS bootstrap partitions, and was corrected in ubiquity 1.3.0 in Feisty; I have not heard of any regressions due to this fix. The validation code did not take account of the fact that the 'fstype' variable is set to None for pre-existing partitions as well as for special-purpose partitions such as HFS bootstrap partitions.

A proposed patch for edgy is attached (http://librarian.launchpad.net/5577548/ubiquity_1.2.6%7Eprop1.debdiff).

MoMaT (momat) wrote :
MoMaT (momat) wrote :

The relevant part of the syslog:

Oct 20 12:38:37 ubuntu ubiquity[6765]: switched to page stepPartMountpoints
Oct 20 12:38:37 ubuntu ubiquity[6765]: Step_after = stepPartMountpoints
Oct 20 12:39:13 ubuntu ubiquity[6765]: Step_before = stepPartMountpoints
Oct 20 12:39:13 ubuntu ubiquity[6765]: mountpoints: {'/dev/sda5': ('swap', True, None, None), '/dev/sda6': ('/media/backup', False, None, None), '/dev/sda2': ('/', True, None, None)}
Oct 20 12:39:14 ubuntu ubiquity[6765]: Step_after = stepPartMountpoints
Oct 20 12:39:18 ubuntu ubiquity[6765]: Step_before = stepPartMountpoints
Oct 20 12:39:18 ubuntu ubiquity[6765]: mountpoints: {'/dev/sda5': ('swap', True, None, None), '/dev/sda6': ('/media/backup', False, None, None), '/dev/sda2': ('/', True, None, None)}
Oct 20 12:39:18 ubuntu ubiquity[6765]: Step_after = stepPartMountpoints

Hezekiah Carty (hez) wrote :

I have this problem as well on the official Ubuntu Edgy RC Live/Install CD, same symptoms as the original reporter. The error is very strange, since a partition is already selected for /

The result seems to be the same for with the "Reformat?" box checked or unchecked.

Changed in ubiquity:
status: Unconfirmed → Confirmed
MoMaT (momat) wrote :

The workaround is to use the RC alternate install and the text installer. There are no problems with this and you can additionaly mount volumes of LVM partitions.

Hezekiah Carty (hez) wrote :

Yes, that works - but given that the LiveCD is the installation option that is pushed by Ubuntu, this problem is pretty unacceptable in my opinion. Doubly so for someone who has downloaded the install disk and is then told they have to download another ISO image and use it - if they make it that far without giving up on Ubuntu.

The GUI installer has a lot of nice features, but it still has a long way to go before it feels complete.

Paul Dufresne (paulduf) wrote :

Can you both, please attach /var/log/installer/syslog and /var/log/partman to this bug, by commenting on the bug's web page?
(guess you should include your name in attachment description).
Hezekiah please also attach your /var/log/syslog file.

Changed in ubiquity:
status: Confirmed → Needs Info
Markus Mauder (m-mauder) wrote :

I am seeing the same symptoms, but am not sure this is the same bug. My syslog shows a problem with reiserfs support in ubiquity and formatting "/" ext3 works around the problem. I can't find a similar message in MoMaT's syslog though.
The relevant lines in my syslog appear to be:
"Oct 22 10:12:20 ubuntu ubiquity: No Implementation:
Oct 22 10:12:20 ubuntu ubiquity: Support for opening reiserfs file systems is not implemented yet."
Full syslog attached.

Hezekiah Carty (hez) wrote :

Here is the partman log.

Hezekiah

Hezekiah Carty (hez) wrote :

There is no /var/log/installer/syslog, but here is /var/log/syslog

Hezekiah

Paul Dufresne (paulduf) wrote :

Thanks for giving the info, (I also marked bug #67264 as a duplicate of this), and so now marking this bug as confirmed (based on duplicate and Hezekiah Carty's comments)

Changed in ubiquity:
status: Needs Info → Confirmed
Colin Watson (cjwatson) wrote :

I've documented this problem on http://wiki.ubuntu.com/EdgyReleaseNotes, with a work-around. Sorry that this sneaked through undetected!

Changed in ubiquity:
status: Unconfirmed → Confirmed
Colin Watson (cjwatson) wrote :

Fixed in my bzr branch.

Changed in ubiquity:
assignee: nobody → kamion
importance: Undecided → Critical
status: Confirmed → Fix Committed
importance: Undecided → Critical
Peregrina (peregrinitalia) wrote :

OK, so there is a workaround, but I have a cuestion: Why can't I reformat my partitions to reiserfs? Is it not supported?

kirc (r-riccardo) wrote :

I try to install over an exists reiserfs root partition but it was not enough to delete and recreate it: i must to delete, recreate in ext3 then re-delete and recreate in reiserfs with next-previous in ubiquity. After this it worked fine for me.

That's odd, I merely had to delete the old (reiserfs) partition and create a new (reiserfs) partition in order for the work-around to work.

Matt (matthewsimpson) wrote :

That's odd, I see no option to format as reiserfs on that page.

I can create a reiserfs at the command line and the ubiquity manual partition page lists it as reiserfs, but when I try to format it, as the workaround suggests, there are options for nearly every file system except reiserfs. (Even xfs, but not reiserfs.) Will the option show up after I delete the existing reiserfs and make a new partition? If not, how did the previous person format a reiserfs partition using this tool?

So far it looks to me like the gui installer will not work for reiserfs and these type of folks are limited to the text installer?

Colin Watson (cjwatson) wrote :

It's a long-known bug (since Dapper) that the Kubuntu desktop CD installer can't handle reiserfs; this is because qtparted only supports reiserfs by means of libreiserfs, which generates broken reiserfs filesystems that cause our kernel to oops, so I had to disable that. That has absolutely nothing to do with this bug.

EmxBA (emxba) wrote :

I have this problem too; it says "no root filesystem" if I've made partition (ext2/ext3) before the installation using another app (GParted or QParted for example). The selected root partition needs to be reformated or deleted and then made again.

Uqbar (uqbar) wrote :

The problem was still there with 6.10 final.
The point is that there is already a pation schema and the GParted is not able to handle it. Possibly only with a reiserfs root patition.
You simply go back to the user creation and open a new terminal window.
Become root and delete the partition table with fdisk.
Then you switch back to the installation script and ask to modify the partition table.

I confirm that this workaround works. Go back in the install interface, log as root in a terminal window, delete the partition with fdisk, recreate it (still in fdisk... at least that's what I did), and proceed with the installer reusing existing partitions.

Michael.

Colin Watson (cjwatson) wrote :

ubiquity (1.3.0) feisty; urgency=low

  * Defend a bit more against the apt cache going insane (closes: Malone
    #67689).
  * Handle EFAULT IOError exceptions while copying files (closes: Malone
    #67598).
  * KDE frontend: Treat more user-entered strings as Unicode rather than
    ASCII (closes: Malone #64667, #66742).
  * KDE frontend: Hide auto-resize frame rather than merely disabling it.
  * KDE frontend: Use a single progress bar for all copy and configuration
    steps.
  * KDE frontend: Disable going back or forward once the install progress
    bar is up. (Why is the main window still visible at this point, anyway?)
  * Fix mount point validation to avoid accidentally skipping a number of
    checks on pre-existing partitions, including the "is there a root file
    system?" check (closes: Malone #67130).
  * GTK frontend: Include zoom-in.png in ubiquity-frontend-gtk so that the
    magnifying glass cursor is displayed on the timezone page (closes:
    Malone #68238).
  * Drop support for old ESPRESSO_DEBUG environment variable.
  * Add an intro message noting that we're alpha again.
  * Save /target/var/lib/dpkg/status to
    /target/var/log/installer/initial-status.gz; suggested by Jason
    Whitlark.
  * Remove a bunch of unnecessary imports noticed by pyflakes, and add a
    couple of missing ones.
  * Account for a new file shipped by grub-installer.
  * Account for tzsetup's finish-install script becoming a
    post-base-installer script.
  * Fix the way we switch pages to update state properly if "switching" to
    the current page.
  * Automatic update of included source packages: apt-setup 1:0.16ubuntu1,
    base-installer 1.68ubuntu1, choose-mirror 2.08ubuntu1, clock-setup
    0.12ubuntu1, console-setup 1.13ubuntu3, debian-installer-utils
    1.38ubuntu1, grub-installer 1.19ubuntu1, hw-detect 1.43ubuntu1,
    localechooser 1.30ubuntu1, partconf 1.19, silo-installer 1.07ubuntu1,
    tzsetup 1:0.14, user-setup 1.7ubuntu1, yaboot-installer 1.1.8ubuntu1.
    (partman-* will be updated next time round, when we're ready for it.)

 -- Colin Watson <email address hidden> Wed, 29 Nov 2006 20:33:42 +0000

Changed in ubiquity:
status: Fix Committed → Fix Released
Nicolas DERIVE (kalon33) wrote :

I had this problem too with the edgy desktop CD (official version), but I switch to alternate cd for install to avoid this. Colin, will this problem be fixed in edgy desktop cd before the feisty release ?

Colin Watson (cjwatson) wrote :

I would like to offer an updated CD with this fix at some point, yes, but I have a lot of commitments and I can't give a timescale at the moment.

Colin Watson (cjwatson) on 2007-01-02
description: updated
Colin Watson (cjwatson) wrote :
Changed in ubiquity:
assignee: nobody → kamion
status: Confirmed → In Progress
description: updated
Colin Watson (cjwatson) wrote :

Matt approved this in private e-mail, so:

ubiquity (1.2.6~prop1) edgy-proposed; urgency=low

  * Fix mount point validation to avoid accidentally skipping a number of
    checks on pre-existing partitions, including the "is there a root file
    system?" check (LP: #67130).

 -- Colin Watson <email address hidden> Tue, 2 Jan 2007 14:49:18 +0000

We need to get a set of live CDs built with this before we can start verification.

Changed in ubiquity:
status: In Progress → Fix Committed
Sami Nybacka (sapeny) wrote :

I had the same problem with Edgy desktop CD (official version): "No root file system". My workaround was to make root partition at least 2GB. Partitioner indeed implies that there should be at least 2GB space. But I find it annoying if it always expects > 2GB for root partition, because I usually make separate /var, /tmp, /usr ... so there's no need for huge /.

Michael Vogt (mvo) wrote :

I tried to do a sru-verifciation for this bug, but I was not able to reproduce the original issue.

 I use ubiquity 1.2.5 and have two partitions "/" (ext3) and swap. Both exist and have data on them. I booted the desktop CD, run "Manually edit partition table", changed nothing, clicked forward and the "Prepare mount points" screen has good defaults and let me continue just fine.

Once I can reproduce the original issue, I will be happy to do the verification for the fix.

Cheers,
 Michael

Michael Vogt (mvo) wrote :

Colin helped me to reproduce it. It seems like it is not triggered for ext3. But reiserfs triggered it nicely.

I tested using the existing paritions (one reiserfs, one swap) and with 1.2.5 I got "no root filesystem" and couldn not continue.

With 1.2.6 it worked fine.

I will mark this verification-done.

Cheers,
 michael

Thomas Zander (zander-kde) wrote :

Michael;

ext3 is probably the only filesystem it works for, then. Try reiserFS3.

Martin Pitt (pitti) wrote :

Accepted into edgy-updates.

Changed in ubiquity:
status: Fix Committed → Fix Released
Nazo (nazosan) wrote :

Are you sure? I still have had the problem in every version I've tried so far. That includes not just 6.10, but both beta and stable versions of 7.04 (Feisty Fawn.) I thought I remembered seeing it on 6.06, but it has been a while, so I'm not sure.

However, I have a little peice of good news for you people, and sorry I didn't think to check bug reports sooner, but back on 6.10 I discovered a better workaround on my own. I realized that it's just a silly mistake in the partitioner in that it won't offer / as an option -- I presume this is intentional for filesystems that it assumes can't run linux and someone forgot to add ReiserFS in the list of those that do. Here is what you do. Select ext3 for the filesystem, and set it as root. Ok that. Edit it, and change the filesystem type to ReiserFS (don't touch the mountpoint) and ok that. Presto, I presume that this is another bug that I'm exploiting, but whatever the case is, the end result is that the installer will accept ReiserFS as root.

Nazo: I think you have a different problem, as this works fine for me and a a few other people I know.

Nazo (nazosan) wrote :

Well, I've had the problem for some time now, and it sounds exactly like what was described here to me.

I don't know if I have the energy to file a new bug report right now. The past few installs were betas, but now I think that I finally have it in a semi-final state and really don't want to reinstall and start dealing with all the problems I had before again (you have no idea how long it took me just to get it to access the web via my wireless card.)

park8b156 (park8b156) wrote :

Im new to this but i had none of this probs and i have the same version you guys are talking about.

craigstrydom (cstrydom) wrote :

Hi Guys,

I seem to have a similar problem during installation but I am using preseed files + linuxcoe installation disc.

I have configured three partitions: /home, /, swap.
The idea is when re-installations are nessaccary, to simply kill / and swap and leave /home.

This works fine on some systems but gives "no root file system is specified" error on others during the installation - text only, no gui.
ALT+F4 gives - "No matching physical volumes found" and "No volume groups found"

All systems tested are Dell as the company I work for standardized.

All tests were with the same cd and same preseed files using parted v1.7.1. Libata module is used for the harddrive.

As soon as I remove the string specifing /home, I get the error msg. If I leave the string, it leaves the original /home, and creates the new partitions - /home, /, swap eg 2x /home partitions.

The startup disk I have comes from http://www.instalinux.com/ and I configured the preseed files to our server details.

I have tried killing all partitions with fdisk and Partition magic, recreating the /home before installation, and even running it on a blank harddrive.
It seems to not like some systems.

Any ideas as to what I could try?

Thank you very much,

Craig.

craigstrydom (cstrydom) wrote :

Sorry, I forgot to add that I am installing Ubuntu 7.04

Thanks,
Craig.

Evan Dandrea (ev) wrote :

Craig,

Can you please open a separate bug report for your issue and attach the installer log files as well as your preseed file, stripped of any sensitive information? Also, have you tried this with 7.10?

Thanks!

craigstrydom (cstrydom) wrote :

Hi Evan,

I will open a new bug, thank you.

I have not tried with Gutsy yet as we want to roll out Feisty and wait for the next LTS version.

Kind regards,
Craig.

To post a comment you must log in.